<template>
  <div class="left-nav">
    <el-menu
      :default-active="$route.path"
      >
      <el-menu-item-group v-for="(item,index) in leftNav" :key="index">
        <template slot="title">{{item.meta.title}}</template>
        <el-menu-item v-for="(i,itemIndex) in item.children" :key="itemIndex" :index="i.path" @click="handleClick(i)">{{i.meta.title}}</el-menu-item>
      </el-menu-item-group>
    </el-menu>
  </div>
</template>

<script>
  import leftNavData from './leftNavData' 
  export default {
    name: 'LeftNav',
    components: {
    },
    data() {
      return {
        leftNav:[],
        defaultActive:null,
      }
    },
    created(){
      this.leftNav=leftNavData[this.$route.path.split('/')[1]];
    },
    mounted(){
      this.defaultActive=this.$route.path;
    },
    methods:{
      handleClick(i){
        this.$router.push({
          name:i.name
        })
      }
    },
    watch:{
      $route(to,from){
        this.leftNav=leftNavData[to.path.split('/')[1]];
      }
    }
  }
</script>

<style lang="less" scoped>
  .left-nav {
    position: fixed;
    top:60px;
    width: 200px;
    height: 100%;
    text-align: center;
    background-color: #393d49;
    transition: all 0.2s ease-out;
    color: #fff;
    /deep/.el-menu-item-group{
      .el-menu-item-group__title{
        height: 40px;
        line-height: 40px;
        font-size: 16px;
        color: #fff;
        padding: 0 20px 0 20px;
        background-color: #393d49;
      }
      .el-menu-item{
        height: 40px;
        line-height: 40px;
        background-color: #282B33;
        color: #fff;
      }
      .el-menu-item.is-active {
        color: #fff;
        background: #399 !important;
      }
    }
    
  }
</style>
